Skip to main content
GET
Get prompt

Authorizations

Authorization
string
header
required

Use a JWT bearer token or a Veryfront API key in the Authorization header.

Path Parameters

project_reference
string
required

Project slug, UUID, or domain that identifies the project.

prompt_id
string
required

Prompt identifier

Query Parameters

source_target_kind
enum<string>

Source to read prompts from: project, main_branch, environment or preview_branch. Falls back to runtime_target_kind when omitted.

Available options:
project,
main_branch,
environment,
preview_branch
runtime_target_kind
enum<string> | null

Runtime target to read from when source_target_kind is omitted: main_branch, environment or preview_branch.

Available options:
main_branch,
environment,
preview_branch,
null
target_environment_id
string<uuid> | null

Environment to use. Required for the environment target; rejected for any other target.

target_branch_id
string<uuid> | null

Preview branch to use. Required for the preview_branch target; rejected for any other target.

Response

Discovered project prompt

id
string
required
name
string
required
description
string | null
required
source_path
string
required
edit_mode
enum<string>
required
Available options:
structured,
source_only